body                                                            {font-family: 'Asap', sans-serif;}

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6,
.navbar                                                         {font-family: 'Roboto Slab', serif;}
.bg-light                                                       {background-color: #f2f2f2 !important;}
/*-------------------------------------------------------------------------------------*/
/*@CMS-FIXES --------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------------*/
.smartyButtonLink .smartyButton                                 {border: 0; box-shadow: none;}
.buttonWrapper select                                           {padding: 5px;}
.smartyButtonLink .smartyButton .smartyButtonText               {padding: .5rem;}
.buttonWrapper label::after                                     {font-size: 1rem;}

.calendarWrapper .calendarNavigation                            {display: block !important;}
.calendarWrapper .smartyButtonLink .smartyButton                {margin: 0 0 0 .5rem; line-height: unset;}
.calendarWrapper .calendarNavigation .calendarNavigationButton  {margin: 0;}
/*-------------------------------------------------------------------------------------*/
/*@HELPERS ----------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------------*/
.z-index-1                                                      {z-index: 1 !important;}
.z-index-2                                                      {z-index: 2 !important;}
.z-index-3                                                      {z-index: 3 !important;}

.cursor-pointer                                                 {cursor: pointer !important;}
/*-------------------------------------------------------------------------------------*/
/*@SEARCH -----------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------------*/
.search-container                                               {position: fixed; z-index: 5; top: 1rem; right: 1rem; max-width: 70%; align-items: center; justify-content: center;}
.search-container.clicked                                       {margin-bottom: 0; width: 70%;}
.searchWrapperOnsite .searchContentWrapperOnsite                {display: flex; flex-direction: row;}
.searchWrapperOnsite .searchTextOnsite                          {height: 40px; border: none; outline: none; box-shadow: none; border-radius: 0;}
.searchWrapperOnsite .searchOnsiteSubmitWrapper a               {display: flex; height: 100%; align-items: center; text-decoration: none;}
.searchWrapperOnsite .searchOnsiteSubmitWrapper a::after        {content: '\f002'; font-family: 'Font Awesome 5 Free'; font-weight: 900; display: flex; justify-content: center; align-items: center; width: 45px; height: 40px;}

.searchWrapperOnsite input::-webkit-input-placeholder           {color: #666;}
.searchWrapperOnsite input:-moz-placeholder                     {color: #666; opacity: 1;}
.searchWrapperOnsite input::-moz-placeholder                    {color: #666; opacity: 1;}
.searchWrapperOnsite input:-ms-input-placeholder                {color: #666;}
.searchWrapperOnsite input::-ms-input-placeholder               {color: #666;}
.searchWrapperOnsite input::placeholder                         {color: #666;}

.search-icon                                                    {width: 20px;}
.clicked .search-icon::before                                   {content: '\f00d'}
/*-------------------------------------------------------------------------------------*/
/*@NAV --------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------------*/
.navbar                                                         {border: none !important; margin: 0; z-index: 3; border-radius: 0;}
.navbar .nav-link                                                           {padding: 1rem !important; font-size: 1.125rem;}
/* NAVBAR TOGGLE STYLING */
.navbar-toggler                                                 {background: #f5f5f5; position: relative; z-index: 2; left: 1rem; height: 40px; border: 0; border-radius: 0;}
.navbar-toggler .icon-bar                                       {display: block; width: 22px; height: 2px; border-radius: 1px; transform: rotate(0deg) translate(0px, 0px); transition: ease all .2s;}
.navbar-toggler .icon-bar:nth-child(2)                          {width: 16px;}
.navbar-toggler .icon-bar + .icon-bar                           {margin-top: 4px;}
.navbar-toggler:hover > .icon-bar:nth-child(2)                  {width: 22px;}
.navbar-toggler:active > .icon-bar:nth-child(2)                 {width: 22px;}

.navbar-toggler:not(.collapsed) .icon-bar:nth-child(1)          {transform: rotate(45deg) translate(5px, 4px); transition: ease all .2s;}
.navbar-toggler:not(.collapsed) .icon-bar:nth-child(2)          {opacity: 0; transition: ease all .2s;}
.navbar-toggler:not(.collapsed) .icon-bar:nth-child(3)          {transform: rotate(-45deg) translate(4px, -4px); transition: ease all .2s;}
/* NAVBAR TOGGLE STYLING END */
/* .navbar .nav-link                                               {padding: 0 1.5rem !important} */
.navbar .nav-link::before                                       {font-weight: 700; display: none;}

.navbar .nav-link:before.dropdown,
.navbar .dropdown-submenu                                       {position: relative;}
.navbar .dropdown-menu  	                                    {border: 0; border-radius: 0; padding: 0; margin: 0; min-width: 300px;}
.navbar .dropdown-menu .dropdown-toggle::after                  {content: "\f105"; display: inline-flex; font-weight: 900; font-family: 'Font Awesome 5 Free'; border: 0;} 
.navbar .dropdown-item                                          {text-transform: none; display: flex; justify-content: space-between; white-space: normal;}
.navbar .dropdown-item::before                                  {display: none;}
/*-------------------------------------------------------------------------------------*/
/*@SLIDER -----------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------------*/
.slideshow                                                      {max-height: 500px;}
.slideshow::after                                               {content: ''; width: 100%; height: 100%; bottom: 0; left: 0; position: absolute; right: 0; z-index: 1; pointer-events: none; border-bottom: 60px solid; border-left: 100vw solid transparent;}
.slideshow-image                                                {height: 550px; background-size: cover; background-position: center;}
.slideshow-item-overlay                                         {top: -150px; position: relative; font-size: 42px; text-align: center;}
/*-------------------------------------------------------------------------------------*/
/*@MAIN -------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------------*/
.table                                                          {margin: 0;}
table.borderless td,table.borderless th                         {border: none !important;}
table.borderless tr td:first-child                              {font-weight: 700;}

.main-wrapper                                                   {margin-top: -85px;}

.content-wrapper::after {
    content: '';
    background: url('../images/overlay.png') no-repeat;
    position: absolute;
    right: 0;
    bottom: -55px;
    width: 462px;
    height: 437px;
    z-index: 2;
}

.main-content::before {
    content: '';
    background: url('../images/overlay.png') no-repeat center / contain;
    opacity: 1;
    position: absolute;
    left: -370px;
    bottom: -90px;
    width: 370px;
    height: 356px;
    transform: scaleX(-1);
}

.main-wrapper.content-page {
    margin: 0;
    min-height: 400px;
}

.main-wrapper.content-page::after {bottom: 0;}
.main-content.content-page::before {bottom: inherit;}

.main-wrapper .title {font-size: 1.25rem;}
.main-wrapper .title::before {content: ''; font-family: 'Font Awesome 5 Free'; font-weight: 900; margin-right: 15px;}

.main-wrapper .agenda   .title::before {content: '\f073';}
.main-wrapper .vacation .title::before {content: '\f549';}
.main-wrapper .info     .title::before {content: '\f017';}

.main-block {
    width: 100%;
    min-height: 325px;
    height: 100%;
}

.main-block .txt {
    min-height: 187px;
}

.info-wrapper::before {
    content: '';
    bottom: 10px;
    right: 10px;
    background: url('../images/overlay.png') no-repeat left / contain;
    opacity: 0.08;
    -moz-transform: scaleX(-1);
    -o-transform: scaleX(-1);
    -webkit-transform: scaleX(-1);
    transform: scaleX(-1);
    filter: FlipH;
    -ms-filter: "FlipH";
    width: 160px;
    height: 160px;
    position: absolute;
}

.contentWrapper {margin: 0;}
#contentTextBlock {width: 100%;}

/*CALENDAR*/
.calendarOSContent .calendarItem {
    margin-bottom: 15px;
}

.calendarOS .calendarItemDate {
    max-width: 175px;
    float: right;
}

.calendarOS .calendarItemTitle {
    width: 100px;
} 

.vacation-item .name {display: inline-block; width: 50%;}
/*-------------------------------------------------------------------------------------*/
/*@MORE-INFO --------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------------*/
.more-wrapper {
    padding: 100px 0 50px;
}

.more-wrapper::before {
    content: '';
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    position: absolute;
    right: 0;
    z-index: 1;
    border-left: 100vw solid transparent;
    pointer-events: none
}

.more-wrapper .more-bg {
    position: absolute;
    top: 0;
    bottom: 0;
    width: 100%;
    -webkit-filter: blur(5px);
    -moz-filter: blur(5px);
    -o-filter: blur(5px);
    -ms-filter: blur(5px);
    filter: blur(5px);
    transform: scale(1.03);
}

.more-wrapper .more-bg:before {
    content: '';
    position: absolute;
    bottom: 0;
    right: 0;
    left: 0;
    height: 100%;
}

.head-wrapper {padding: 0 0 30px;}

.albumThumbImage {
    width: 100%;
    height: 270px;
    background-position: center;
    background-size: cover;
}

.albumThumbImage:before {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    height: 100%;
}

.albumsLink {display: none;}

.team-wrapper {
    border-radius: 10px;
    border: 3px solid;
    height: 270px;
    position: relative;
    transition: margin-bottom .3s;
    overflow: hidden;
    cursor: pointer;
}

.team-wrapper:hover .team-text{
    bottom: 10px;
}

.team-text {
    text-align: center;
    bottom: 0;
    right: 0;
    left: 0;
    position: absolute;
    transition: bottom 0.3s ease;
}
/*-------------------------------------------------------------------------------------*/
/*@FORM-CONTROL -----------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------------*/
footer .form-control                                            {border: none !important; border-radius: 0 !important; white-space: normal;}
footer .form-group-select                                       {position: relative;}
footer .form-group-select select                                {-webkit-appearance: none; -moz-appearance: none; appearance: none; max-width: none;}
footer .form-group-select select::-ms-expand                    {display: none;}
footer .form-group-select::after                                {content: '\f107'; font-family: 'Font Awesome 5 Free'; font-weight: 700; position: absolute; top: .5rem; right: 1rem; pointer-events: none; display: inline-flex;}
/*-------------------------------------------------------------------------------------*/
/*@EXTRA ------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------------*/
.embed-responsive {
    position: relative;
    display: block;
    height: 0;
    padding: 0;
    overflow: hidden;
}
.embed-responsive .embed-responsive-item,
.embed-responsive iframe,
.embed-responsive embed,
.embed-responsive object,
.embed-responsive video {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 0;
}
.embed-responsive-16by9 {padding-bottom: 56.25%;}

@media (min-width: 992px) {
    .search-container                                                           {margin-top: -4.5rem; position: static; top: 0; left: 0; right: 0; border-radius: 0; max-width: 100%; transition: 250ms;}
    .search-container.clicked                                                   {margin-top: 0; width: 100%; position: static; top: 0; left: 0; right: 0; transition: 250ms;}
    .searchWrapperOnsite .searchTextOnsite                                      {background: #fff;}
    .searchWrapperOnsite .searchContentWrapperOnsite                            {display: flex; flex-direction: row-reverse;}

    .navbar .nav-link::before                                                   {display: inline-flex; padding-right: .5rem; font-weight: 700;}
    .navbar .dropdown-item                                                      {padding: .5rem 1rem}

    .navbar .dropdown-menu::before                                              {width: 10px; height: 10px; position: absolute; content: ""; left: 50%; margin-left: -5px; top: 4px; transform: rotate(45deg); z-index: -1;}

    .navbar .dropdown-submenu                                                   {position: relative;}
    .navbar .dropdown-submenu > .dropdown-menu                                  {top: 0; left: 100%; margin-left: 0; padding-left: 10px; background: transparent;}
    .navbar .dropdown-submenu > .dropdown-menu::before                          {left: 10px; top: 15px;}
    .navbar .nav-item:hover > .dropdown-menu, 
    .navbar .dropdown:hover > .dropdown-menu                                    {display: block;}
}


@media (max-width: 768px) {
    .search-container                                   {max-width: 60%;}

    .slideshow-image:before                             {bottom: 0;}
    .slideshow-item-overlay                             {display: none;}
}

@media (max-width: 991px) {
    /*SIDEBAR MOBILE NAV STYLING*/
    .navbar {
        padding: .5rem 0;
        margin: 0;
        max-height: 100vh;
        width: 100%;
        background: #fff;
        position: fixed;
        z-index: 4;
        top: 0;
        left: 0;
        box-shadow: .5px .3rem .5rem rgba(0,0,0,.15) !important;
    }

    .navbar-collapse {
        height: 100vh;
        position: fixed;
        overflow: auto;
        z-index: 1;
        background: rgba(20, 20, 20, 0.9);
        transition: .5s;
        top: 0;
        left: 0;
        padding: 5rem 1rem;
        width: 100%;
      }
      
      .navbar-collapse .nav-link {
        font-size: 1.4em;
        transition: 0.3s;
      }

      .navbar-collapse.collapsing {
        height: 100%;
        transition: left 0.3s ease;
        left: -100%;
    }

    .navbar-collapse.show {
        left: 0;
        transition: left 0.3s ease-in;
    }

    .navbar-toggler:not(:disabled):not(.disabled)           {outline: none;}

    .navbar .nav-link                                       {min-width: 130px; padding-left: 1rem; padding-top: 100px; border: none !important;}

    .maps-wrapper                                           {min-height: 0;}
    .team-wrapper                                           {margin-bottom: 15px;}
}
